#!/bin/sh

# Keywords
find -type f -name "*.php" -exec svn propset svn:keywords "Author Id Revision HeadURL Date Tag" {} \;
find -type f -name "*.xml" -exec svn propset svn:keywords "Author Id Revision HeadURL Date Tag" {} \;
find -type f -name "*.ctp" -exec svn propset svn:keywords "Author Id Revision HeadURL Date Tag" {} \;

# MIME type
find -type f -name "*.php" -exec svn propset svn:mime-type "text/plain" {} \;
find -type f -name "*.ctp" -exec svn propset svn:mime-type "text/plain" {} \;
find -type f -name "*.jpg" -exec svn propset svn:mime-type "image/jpeg" {} \;
find -type f -name "*.png" -exec svn propset svn:mime-type "image/png" {} \;
find -type f -name "*.gif" -exec svn propset svn:mime-type "image/gif" {} \;
find -type f -name "*.ico" -exec svn propset svn:mime-type "image/x-ico" {} \;
find -type f -name "*.html" -exec svn propset svn:mime-type "text/plain" {} \;
find -type f -name "*.xml" -exec svn propset svn:mime-type "text/xml" {} \;
find -type f -name "*.txt" -exec svn propset svn:mime-type "text/plain" {} \;
find -type f -name "*.lng" -exec svn propset svn:mime-type "text/plain" {} \;

# .htaccess files
find -type f -name .htaccess -exec svn propdel svn:keywords {} \;
find -type f -name .htaccess -exec svn propdel svn:executable {} \;
find -type f -name .htaccess -exec svn propset svn:mime-type "text/plain" {} \;

# eol-style
find -type f -name "*.php" -exec svn propset svn:eol-style "native" {} \;
find -type f -name "*.ctp" -exec svn propset svn:eol-style "native" {} \;
find -type f -name "*.html" -exec svn propset svn:eol-style "native" {} \;
find -type f -name "*.xml" -exec svn propset svn:eol-style "native" {} \;
find -type f -name "*.txt" -exec svn propset svn:eol-style "native" {} \;
find -type f -name "*.lng" -exec svn propset svn:eol-style "native" {} \;

# Shell scripts can be executable
echo "$0: propset svn:executable on *.sh"
find -type f -name "*.sh" | xargs svn propset svn:executable 2>/dev/null

# These files don't need a executable right (chmod +x)
DEL_EXECUTE="java html lng jpg png gif ico txt xml php nsi jar js rss"
for entry in ${DEL_EXECUTE}; do
	echo "$0: propdel svn:executable on *.${entry}"
	find -type f -name "*.${entry}" -exec svn propdel svn:executable {} \; 2>/dev/null
done
